Bug 175544 - Bad link in email confirm success page
Bad link in email confirm success page
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
rhn410
All Linux
medium Severity medium
: ---
: ---
Assigned To: Máirín Duffy
Vlady Zlatkin
:
Depends On:
Blocks: 167313
  Show dependency treegraph
 
Reported: 2005-12-12 10:54 EST by Máirín Duffy
Modified: 2007-04-18 13:35 EDT (History)
1 user (show)

See Also:
Fixed In Version: rhn405
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-25 00:41:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Máirín Duffy 2005-12-12 10:54:41 EST
From web-feedback:

When I followed the "Entitlements" link in page
[https://rhn.redhat.com/confirm_email_success.pxt]:

"Thank you for confirming your e-mail address. Now, you can:

    * Begin using the Red Hat Network.
    * Review Your Account.
    * Purchase some Entitlements."


I got directed to the following page
[https://rhn.redhat.com/rhn/account/SubscriptionManagement.pxt]:

 ... with this message ...
#
# If you followed a link to reach '/rhn/errors/404.jsp,' the link may be
incorrect or outdated. Click on the back button in your browser to try a
different link, or use the top (or left) navigation bars to find the page you
are looking for.


The file with the bad link: eng/web/html/confirm_email_success.pxt
The link should be: https://rhn.redhat.com/rhn/account/SubscriptionManagement.do

Fixed in head...
Comment 1 Bret McMillan 2005-12-15 15:30:00 EST
Maureen, does it make sense just to pull this fix into 405's Monday QA push?  If
so, just move it to rhn405-must, and port the code to that branch before codefreeze.
Comment 2 Máirín Duffy 2005-12-15 15:51:57 EST
Bret, yep it does, will do.
Comment 3 Máirín Duffy 2005-12-16 18:16:25 EST
checked into 405 and 406... 

Test Plan
=========

Note: Hosted-only bug

1) Visit https://rhn.webqa.redhat.com/confirm_email_success.pxt (this link is
provided by an email that is sent out to new users)

2) Click on the "Purchase some Entitlements" link

3) If it brings up a page saying "/!\ Page Not Found The page you requested,
/rhn/errors/404.jsp, was not found.", it's still broke. It should bring you to
the "Subscription Management" page
(https://rhn.webqa.redhat.com/rhn/account/SubscriptionManagement.do).
Comment 4 Vlady Zlatkin 2006-01-04 14:53:02 EST
verified
Comment 5 Todd Warner 2006-01-25 00:41:37 EST
Released.

Note You need to log in before you can comment on or make changes to this bug.